#
# spec file for package gd (Version 2.0.32)
#
# Copyright (c) 2006 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    aaa_base acl attr audit-libs autoconf automake bash bind-libs bind-utils binutils bison bzip2 coreutils cpio cpp cracklib cvs cyrus-sasl db diffutils e2fsprogs expat file filesystem fillup findutils flex fontconfig fontconfig-devel freetype2 freetype2-devel gawk gcc gdbm gdbm-devel gettext gettext-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv klogd less libacl libattr libcom_err libgcc libjpeg libjpeg-devel libnscd libpng libpng-devel libstdc++ libtool libxcrypt libzio m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-modules patch perl permissions popt procinfo procps psmisc pwdutils rcs readline rpm sed strace sysvinit tar tcpd texinfo timezone unzip util-linux vim xorg-x11 xorg-x11-devel xorg-x11-fonts-scalable xorg-x11-libs zlib zlib-devel

Name:           gd
BuildRequires:  freetype2-devel libjpeg-devel libpng-devel xorg-x11 xorg-x11-devel xorg-x11-fonts-scalable
License:        X11/MIT, Other License(s), see package
Group:          System/Libraries
Obsoletes:      gdlib 
Autoreqprov:    on
Version:        2.0.32
Release:        23.2
URL:            http://www.boutell.com/gd/
Summary:        A Drawing Library for Programs That Use PNG and JPEG Output
Source:         gd-%{version}.tar.bz2
Patch0:         gd-%{version}-warn.patch
Patch1:         gd-CAN-2004-0941.patch
Patch2:         gd-format.patch
Patch3:         gd-aliasing.patch
Patch4:         gd-security.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
Gd allows your code to quickly draw images complete with lines, arcs,
text, and multiple colors. It supports cut and paste from other images
and flood fills. It outputs PNG, JPEG, and WBMP (for wireless devices)
and is supported by PHP4.



Authors:
--------
    Thomas Boutell <boutell@boutell.com>

%debug_package
%package devel
Requires:       %{name} = %{version} expat fontconfig-devel freetype2-devel glibc-devel libjpeg-devel libpng-devel xorg-x11-devel
License:        X11/MIT, Other License(s), see package
Summary:        Drawing Library for Programs with PNG and JPEG Output
Group:          System/Libraries
Autoreqprov:    on

%description devel
gd allows code to quickly draw images complete with lines, arcs, text,
multiple colors, cut and paste from other images, and flood fills. gd
writes out the result as a PNG or JPEG file. This is particularly
useful in World Wide Web applications, where PNG and JPEG are two of
the formats accepted for inline images by most browsers.



Authors:
--------
    Thomas Boutell <boutell@boutell.com>

%prep
%setup -q
%patch0
%patch1
%patch2 -p1
%patch3
%patch4

%build
%{suse_update_config -f}
autoreconf -fi
CFLAGS="$RPM_OPT_FLAGS -fstack-protector -I%{_includedir}/freetype2" \
CPPFLAGS="-I%{_includedir}/freetype2" \
	./configure \
	--prefix=%{_prefix} \
	--libdir=%{_libdir} \
	--with-freetype \
	--with-jpeg \
	--with-png \
	--with-xpm \
	--with-pic
make 
#run test programs
cp test/gdtest_wbmp_to_png.png gdtest.png
./gdtest gdtest.png  2>&1 |tee gdtest.log
grep ERROR gdtest.log && exit 1
./gdtest demoin.png  2>&1 |tee gdtest.log
# wbmp test fails on color image, this is OK
grep -v "gdtest.png, gdtest.wbmp.*ERROR" gdtest.log | grep ERROR && exit 1 
./gddemo
for f in /usr/X11R6/lib/X11/fonts/truetype/*.ttf ; do
    ./gdtestft $f
done

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post
%run_ldconfig

%postun
%run_ldconfig

%files
%defattr(-,root,root)
%doc COPYING INSTALL README* index.html
%{_bindir}/*
%{_libdir}/*.so.*

%files devel
%defattr(-,root,root)
%{_includedir}/*
%{_libdir}/*.so
%{_libdir}/*.a
%{_libdir}/*.la

%changelog -n gd
* Wed Mar 08 2006 - sbrabec@suse.cz
- Fixed devel dependencies.
* Wed Jan 25 2006 - mls@suse.de
- converted neededforbuild to BuildRequires
* Thu Jan 12 2006 - nadvornik@suse.cz
- compile with -fstack-protector
* Thu Jan 05 2006 - nadvornik@suse.cz
- fixed another integer overflow [#138007]
* Thu Nov 24 2005 - meissner@suse.de
- fixed 1 aliasing issue.
* Sat Feb 05 2005 - meissner@suse.de
- added 1 missign format attribute
* Mon Nov 22 2004 - nadvornik@suse.cz
- run test programs during build [#48382]
* Mon Nov 15 2004 - nadvornik@suse.cz
- fixed more overflows - CAN-2004-0941 [#47666]
* Tue Nov 02 2004 - nadvornik@suse.cz
- updated to 2.0.32:
  * fixed several integer overflows [#47666]
  * animated gif support
* Tue Aug 24 2004 - nadvornik@suse.cz
- updated to 2.0.28:
  restored support for reading and writing GIF images
* Fri Feb 20 2004 - schwab@suse.de
- Fix missing return value.
* Thu Feb 05 2004 - nadvornik@suse.cz
- updated to 2.0.22
- fixed dangerous compiler warnings
* Sat Jan 10 2004 - adrian@suse.de
- add %%defattr and %%run_ldconfig
* Tue Jan 06 2004 - nadvornik@suse.cz
- updated to 2.0.17
- fixed to build with new freetype
* Thu Jul 24 2003 - mjancar@suse.cz
- update to 2.0.15
* Thu Feb 13 2003 - nadvornik@suse.cz
- updated to 2.0.11: speed improvements, bugfixes
* Fri Dec 13 2002 - prehak@suse.cz
- added gdImageCreateFromXpm() function prototype to gd.h
* Thu Nov 28 2002 - nadvornik@suse.cz
- updated to 2.0.8
* Tue Sep 17 2002 - ro@suse.de
- removed bogus self-provides
* Tue May 28 2002 - bk@suse.de
- gd-devel requires gd and use prefix, bindir and includedir macros
* Wed Feb 13 2002 - nadvornik@suse.cz
- used macro %%{_libdir}
* Fri Feb 01 2002 - ro@suse.de
- changed neededforbuild <libpng> to <libpng-devel-packages>
* Mon Nov 05 2001 - ro@suse.de
- fix Makefile.am for automake 1.5 (removed duplicated line)
* Fri May 25 2001 - pblaha@suse.cz
- fix include on ia64
* Thu Mar 29 2001 - ro@suse.de
- use aclocal
* Wed Mar 21 2001 - ro@suse.de
- update to 1.8.4
- use freetype2
* Mon Dec 04 2000 - pblaha@suse.cz
- move simbolick link libgd.so -> gd-devel
* Thu Nov 30 2000 - aj@suse.de
- Add suse_update_config.
* Wed Nov 15 2000 - pblaha@suse.cz
- aplied patch from perl-GD and split to gd & gd-devel
* Mon Jun 05 2000 - bubnikv@suse.cz
- updated to 1.8.3
* Fri May 12 2000 - nadvornik@suse.cz
- update to 1.8.1
- added BuildRoot
* Tue Oct 12 1999 - ro@suse.de
- added xpm and ttf support
* Sun Oct 10 1999 - ro@suse.de
- added libpng to neededforbuild
* Thu Oct 07 1999 - schwab@suse.de
- update to 1.7.3
* Mon Sep 13 1999 - bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Thu Sep 09 1999 - bs@suse.de
- fixed call of Check at the end of %%install section
* Tue Jun 15 1999 - ro@suse.de
- fixed doc installation
* Tue Jun 15 1999 - ro@suse.de
- update to 1.3
* Thu Feb 05 1998 - ro@suse.de
- ready for autobuild
